### org.jfree.layouting.modules.output.plaintext

# Class PlaintextFontRegistry

- `java.lang.Object`
- - `org.jfree.layouting.modules.output.plaintext.PlaintextFontRegistry`

Implemented Interfaces:
  FontRegistry

`public class PlaintextFontRegistry`
`extends java.lang.Object`
`implements FontRegistry`

Creation-Date: 13.11.2006, 12:50:35

Author:
  Thomas Morgner

  ## Constructor Summary

  `PlaintextFontRegistry(double charWidth, double charHeight)`

  ## Method Summary

  `FontMetricsFactory`

  `createMetricsFactory()`
    Creates a new font metrics factory.

  `String[]`

  `getAllRegisteredFamilies()`

  `FontFamily`

  `getFontFamily(String name)`
    Tries to find a font family with the given name, looking through all alternative font names if neccessary.

  `String[]`

  `getRegisteredFamilies()`

  `FontCache`

  `getSecondLevelCache()`

  `void`

  `initialize()`

## Constructor Details

### PlaintextFontRegistry

    public PlaintextFontRegistry(double charWidth,
                                 double charHeight)

## Method Details

### createMetricsFactory

    public FontMetricsFactory createMetricsFactory()

> Creates a new font metrics factory. That factory is specific to a certain font registry and is not required to handle font records from foreign font registries.

> A font metrics factory should never be used on its own. It should be embedded into and used by a FontStorage implementation.
> Returns:

### getAllRegisteredFamilies

    public String[] getAllRegisteredFamilies()

### getFontFamily

    public FontFamily getFontFamily(String name)

> Tries to find a font family with the given name, looking through all alternative font names if neccessary.
> Parameters:
>   `name` -
> Returns:
>   the font family or null, if there is no such family.

### getRegisteredFamilies

    public String[] getRegisteredFamilies()

### getSecondLevelCache

    public FontCache getSecondLevelCache()

### initialize

    public void initialize()